# 
# Synthesis run script generated by Vivado
# 

set_msg_config -id {HDL 9-1061} -limit 100000
set_msg_config -id {HDL 9-1654} -limit 100000
create_project -in_memory -part xc7z010clg400-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_msg_config -source 4 -id {IP_Flow 19-2162} -severity warning -new_severity info
set_property webtalk.parent_dir /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.cache/wt [current_project]
set_property parent.project_path /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.xpr [current_project]
set_property XPM_LIBRARIES {XPM_CDC XPM_MEMORY} [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language VHDL [current_project]
set_property ip_repo_paths /home/oliver/dev/ultilabs/ip_repo/stepper_pulser_0 [current_project]
add_files /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.sdk/blinky/Debug/blinky.elf
set_property SCOPED_TO_REF system [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.sdk/blinky/Debug/blinky.elf]
set_property SCOPED_TO_CELLS microcontroller_0/microblaze_0 [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.sdk/blinky/Debug/blinky.elf]
add_files /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/system.bd
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_processing_system7_0_1/system_processing_system7_0_1.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_rst_processing_system7_0_50M_1/system_rst_processing_system7_0_50M_1_board.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_rst_processing_system7_0_50M_1/system_rst_processing_system7_0_50M_1.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_rst_processing_system7_0_50M_1/system_rst_processing_system7_0_50M_1_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_microblaze_0_0/system_microblaze_0_0.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_microblaze_0_0/system_microblaze_0_0_ooc_debug.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_microblaze_0_0/system_microblaze_0_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_dlmb_v10_0/system_dlmb_v10_0.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_dlmb_v10_0/system_dlmb_v10_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_ilmb_v10_0/system_ilmb_v10_0.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_ilmb_v10_0/system_ilmb_v10_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_dlmb_bram_if_cntlr_0/system_dlmb_bram_if_cntlr_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_ilmb_bram_if_cntlr_0/system_ilmb_bram_if_cntlr_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_lmb_bram_0/system_lmb_bram_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_mdm_1_0/system_mdm_1_0.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_mdm_1_0/system_mdm_1_0_ooc_trace.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_axi_gpio_0_0/system_axi_gpio_0_0_board.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_axi_gpio_0_0/system_axi_gpio_0_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_axi_gpio_0_0/system_axi_gpio_0_0.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_axi_gpio_1_0/system_axi_gpio_1_0_board.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_axi_gpio_1_0/system_axi_gpio_1_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_axi_gpio_1_0/system_axi_gpio_1_0.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_xbar_0/system_xbar_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_mailbox_0_1/system_mailbox_0_1.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_mailbox_0_1/system_mailbox_0_1_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_axi_timer_0_0/system_axi_timer_0_0.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_axi_timer_0_0/system_axi_timer_0_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_xbar_7/system_xbar_7_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_auto_pc_0/system_auto_pc_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_auto_pc_1/system_auto_pc_1_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/ip/system_s00_mmu_0/system_s00_mmu_0_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/system_ooc.xdc]
set_property is_locked true [get_files /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/system.bd]

read_vhdl -library xil_defaultlib /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/sources_1/bd/system/hdl/system_wrapper.vhd
foreach dcp [get_files -quiet -all *.dcp] {
  set_property used_in_implementation false $dcp
}
read_xdc /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/constrs_1/new/IOCC.xdc
set_property used_in_implementation false [get_files /home/oliver/dev/ultilabs/yoda_fpga/yoda_fpga.srcs/constrs_1/new/IOCC.xdc]

read_xdc dont_touch.xdc
set_property used_in_implementation false [get_files dont_touch.xdc]

synth_design -top system_wrapper -part xc7z010clg400-1


write_checkpoint -force -noxdef system_wrapper.dcp

catch { report_utilization -file system_wrapper_utilization_synth.rpt -pb system_wrapper_utilization_synth.pb }
